== Why is this an issue?

Lambdas (introduced in {cpp}11) are a very convenient and compact way to inject a behavior without having to create a dedicated function. But those lambdas should be used only if the behavior to be injected can be defined in a few lines of code, otherwise the source code can quickly become unreadable.

ifdef::env-github,rspecator-view[]

'''
== Implementation Specification
(visible only on this page)

=== Message

Reduce this lambda number of lines from {} to at most {}, or make it a named function.


=== Parameters

.max
****

----
20
----

Maximum allowed lines in a lambda
****


'''
== Comments And Links
(visible only on this page)

include::../comments-and-links.adoc[]

endif::env-github,rspecator-view[]
